//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// Z poniższym kodem nie jest związana żadna gwarancja poprawności działania.
// Program został dołączony do książki ".NET CLR. Księga eksperta" w celu
// ilustracji koncepcji i zasad przedstawionych w tej książce. Program może być 
// używany na własne ryzyko.
//
// Przyznaje się prawo do użycia lub kopiowania tego oprogramowania do dowolnego celu
// bez konieczności ponoszenia żadnych opłat pod warunkiem, że powyższe uwagi zostaną 
// zachowane we wszystkich kopiach. Przyznaje się także prawo do modyfikacji kodu
// i dystrybucji zmodyfikowanego kodu pod warunkiem zachowania powyższych uwag
// oraz dołączenia informacji mówiącej o modyfikacji kodu.
//
// 
using System;
using System.Collections;

namespace FrameworkLibraries
{
	public class IListMain 
	{
		static void Main(string [] args)
		{
			ArrayList al = new ArrayList();
			IList il = (IList)al;
			il.Add("To");
			il.Add("jest");
			il.Add("test");
			il.Add(0);
			il.Add(1);
			Console.WriteLine("Tylko do odczytu: {0}", il.IsReadOnly);
			Console.WriteLine("Stała wielkość: {0}", il.IsFixedSize);
			Console.WriteLine("il[0]: {0}", il[0]);
			Console.WriteLine("il[1]: {0}", il[1]);
			Console.WriteLine("il contains \"test\": {0}", il.Contains("test"));
			Console.WriteLine("Usuwa \"test\" . . .");
			il.Remove("test");
			Console.WriteLine("il zawiera \"test\": {0}", il.Contains("test"));
			Console.WriteLine("il zawiera 2: {0}", il.Contains(2));
		}
	}
}